Create Vendor: Yardi REST
Betahttps://api.propexo.com/v1/vendors/yardi_rest/| Interface | Method |
|---|---|
| Vendor Invoicing | /ItfVendorInvoicing/ImportVendors |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
United StatesCanada - string
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The name associated with the vendor
Whether the vendor is active
Notes associated with the vendor
Possible values: <= 1998 characters
The first name of the tax payer associated with the vendor
The last name of the tax payer associated with the vendor
The expiration date of the workers compensation policy on file for this vendor
Show 2 variants
The expiration date of the liability insurance policy on file for this vendor
Show 2 variants
The payment method for the vendor.
Show 2 enum values
CheckEFTThe first address line associated with the vendor
The second address line associated with the vendor
The city associated with the vendor
The state associated with the vendor
Show 70 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYTThe zip code associated with the vendor
The country associated with the vendor
Show 2 variants
The primary email address associated with the vendor
Primary phone number associated with the vendor
Secondary phone number associated with the vendor
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
United StatesCanada - string
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The name associated with the vendor
Whether the vendor is active
Notes associated with the vendor
Possible values: <= 1998 characters
The tax payer identification number associated with the vendor
The first name of the tax payer associated with the vendor
The last name of the tax payer associated with the vendor
The expiration date of the workers compensation policy on file for this vendor
Show 2 variants
The expiration date of the liability insurance policy on file for this vendor
Show 2 variants
The payment method for the vendor.
Show 2 enum values
CheckEFTThe first address line associated with the vendor
The second address line associated with the vendor
The city associated with the vendor
The state associated with the vendor
Show 70 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYTThe zip code associated with the vendor
The country associated with the vendor
Show 2 variants
The primary email address associated with the vendor
Primary phone number associated with the vendor
Secondary phone number associated with the vendor
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/vendors/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"name": "string",
"is_active": true,
"notes": "string",
"tax_id": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"workers_comp_expiration_date": "2024-07-29T15:51:28.071Z",
"liability_expiration_date": "2024-07-29T15:51:28.071Z",
"payment_method": "Check",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "United States",
"email_1": "string",
"phone_1": "string",
"phone_2": "string"
}
}